using Microsoft.Extensions.DependencyInjection;

namespace FAuth.Extensions.Account
{
    /// <summary>
    /// 服务集合扩展
    /// </summary>
    public static class ServiceCollectionExtend
    {
        /// <summary>
        /// 增加账号帮助类服务
        /// </summary>
        /// <param name="service">服务集合</param>
        /// <returns>服务集合</returns>
        public static IServiceCollection AddAccountHelper(this IServiceCollection service) {
            service.AddTransient<AccountHelper>();
            return service;
        }
    }
}
